> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate my private template workbook



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json post /loom/v1/users/me/templates/{template}/versions/{version}:validateWorkbook
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/users/me/templates/{template}/versions/{version}:validateWorkbook:
    post:
      tags:
        - User Templates
      summary: Validate my private template workbook
      parameters:
        - name: template
          in: path
          description: Private template ID
          required: true
          example: ''
          schema:
            type: string
        - name: version
          in: path
          description: Private template version ID
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.officialTemplateWorkbookRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.templateValidationResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.officialTemplateWorkbookRequest:
      type: object
      properties:
        callbackUrl:
          type: string
        clientRequestId:
          type: string
        content:
          type: array
          items:
            type: integer
        filename:
          type: string
        recordCount:
          type: integer
    server.templateValidationResponse:
      type: object
      properties:
        fileErrors:
          type: array
          items:
            type: string
        rowErrors:
          type: array
          items:
            $ref: '#/components/schemas/server.templateRowValidationError'
        valid:
          type: boolean
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.templateRowValidationError:
      type: object
      properties:
        error:
          type: string
        fieldKey:
          type: string
        rowIndex:
          type: integer
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````